/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-08-13 15:19:57
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-08-17 17:03:50
 * @FilePath: \gzDyh\gz-customerSystem\src\views\basicInformation\organization\preview.jsx
 * @Description: 预览信息
 */
import React, { useState } from "react";
import { Row, Col, Space } from 'antd';
import { person, question, link } from '../../../assets/images'
import '../index.less';
import TableView from '../../../components/TableView';
import { Modal } from '@arco-design/web-react';
import FilesCheck from '../../filesCheck';
import * as $$ from '../../../utils/utility';



const Preview = () => {
    const [filesCheck, setFilesCheck] = useState(false);


    const fakeData1 = [
        {
            id: 1,
            caseNo: 'A20230101',
            judicNo: '申请材料',
            perClassName: '李晓明的纠纷化解申请表、身份证...',
            inputUserName: '0',
            mediateUserName: '2024-7-12 12:00',
            judgeName: '王五',
            mediator: '赵六',
            handlerUserName: '钱七',
            returnUserName: '孙八',
            expireTime: '2023-08-10T08:00:00.000Z',
            processName: '进行中',
            otherMediator: '周九',
            canalName: '网络',
            judicResult: '通过',
            assistName: '吴十',
            mediTypeName: '民事调解',
            serieStatus: '1', // 1 表示非系列案，2 表示系列案
            // 更多字段...
        },
        {
            id: 2,
            caseNo: 'A20230101',
            judicNo: '证据材料',
            perClassName: '李晓明的纠纷化解申请表、身份证...',
            inputUserName: '0',
            mediateUserName: '2024-7-12 12:00',
            judgeName: '王五',
            mediator: '赵六',
            handlerUserName: '钱七',
            returnUserName: '孙八',
            expireTime: '2023-08-10T08:00:00.000Z',
            processName: '进行中',
            otherMediator: '周九',
            canalName: '网络',
            judicResult: '通过',
            assistName: '吴十',
            mediTypeName: '民事调解',
            serieStatus: '1', // 1 表示非系列案，2 表示系列案
            // 更多字段...
        },

        // 更多数据...
    ];

    // 列配置
    const fakeColumns = [
        {
            title: '序号',
            dataIndex: 'caseNo',
            key: 'caseNo',
            width: 100,
            render: (text, record, index) => <span>{index + 1}</span>,
        },
        {
            title: '材料类型',
            dataIndex: 'judicNo',
            key: 'judicNo',
            width: 60,

        },
        {
            title: '材料数量',
            dataIndex: 'inputUserName',
            key: 'perClassName',
            width: 180,
            render: (text) => (
                <>
                    {text}份
                </>
            )

        },
        {
            title: '材料名称',
            dataIndex: 'perClassName',
            key: 'perClassName',
            width: 180,

        },
        {
            title: '上传时间',
            dataIndex: 'mediateUserName',
            key: 'mediateUserName',
            width: 180,

        },
        {
            title: '操作',
            dataIndex: 'perClassName',
            key: 'perClassName',
            width: 200,
            render: (text) => (
                <div style={{ display: 'flex', color: '#1A6FB8', gap: '16px' }}>
                    <div onClick={() => setFilesCheck(true)}>查看</div>
                    <div>下载</div>
                </div>
            )
        },
        // 更多列配置...
    ];


    return (
        <div style={{ backgroundColor: '#ffff', margin: '8px 16px 0px 16px', padding: '12px 18px 16px 16px', height: 'calc(100vh - 211px)', overflowY: 'scroll' }}>
            <Col span={24} style={{ display: 'flex', alignItems: 'center', marginBottom: '4px' }}>
                <Space size='small'>
                    <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>当事人信息</h5>
                </Space>
            </Col>
            <div style={{ marginBottom: '8px' }}>申请方</div>
            <div className="line-container" style={{ marginBottom: '20px' }}>
                <div className="line left-line"></div>
                <div className="line middle-line"></div>
                <div className="line right-line"></div>
            </div>
            <table border="1" align="center" cellpadding="6" className="table">
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title" width="120">姓名</th>
                    <td width='380'><div style={{ display: 'flex' }}><div>李晓明</div><div className="title-personRemark">自然人</div></div></td>
                    <th bgcolor="#F7F8FA" className="table-title" width="120">联系方式</th>
                    <td width='380'>13591990202</td>
                    <th bgcolor="#F7F8FA" className="table-title" width='140'>性别</th>
                    <td>女</td>
                    <td rowspan="4" width="112" height='147' style={{ padding: '0px' }}>
                        <img border="0" src={person} alt="" style={{
                            width: '100%',
                            height: '100%',
                            objectFit: 'cover', // 保持原始宽高比并填充整个容器
                            objectPosition: 'center', // 图片居中显示
                        }} />
                    </td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">证件类型</th>
                    <td>身份证</td>
                    <th bgcolor="#F7F8FA" className="table-title">证件号码</th>
                    <td>410106198802021148</td>
                    <th bgcolor="#F7F8FA" className="table-title">民族</th>
                    <td>汉族</td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">联系地址</th>
                    <td>广东科贸服务有限公司</td>
                    <th bgcolor="#F7F8FA" className="table-title">户籍地址</th>
                    <td>广州市天河区棠下街120号</td>
                    <th bgcolor="#F7F8FA" className="table-title" rowspan="2" >是否有个人极端倾向</th>
                    <td rowspan="2" >否</td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">工作单位</th>
                    <td>玩，拆，装</td>
                    <th bgcolor="#F7F8FA" className="table-title">身份证明材料</th>
                    <td>
                        <a href="your-link-here.html" target="_blank">
                            <img src={link} alt="" className="title-file" />李晓明身份证明材料.pdf
                        </a>
                    </td>
                </tr>
            </table>
            <table border="1" align="center" cellpadding="6" className="table" style={{ marginTop: '20px', marginBottom: '20px' }}>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title" width="120">姓名</th>
                    <td width='380'><div style={{ display: 'flex' }}><div>李巧凤</div><div className="title-personRemark">代理人</div></div></td>
                    <th bgcolor="#F7F8FA" className="table-title" width="120">联系方式</th>
                    <td width='380'>13591990202</td>
                    <th bgcolor="#F7F8FA" className="table-title" width="140">性别</th>
                    <td>女</td>
                    <td rowspan="4" width="112" height='147' style={{ padding: '0px' }}>
                        <img border="0" src={person} alt="" style={{ width: '100%', height: '100%' }} />
                    </td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">证件类型</th>
                    <td>身份证</td>
                    <th bgcolor="#F7F8FA" className="table-title">证件号码</th>
                    <td>410106198802021148</td>
                    <th bgcolor="#F7F8FA" className="table-title">民族</th>
                    <td>汉族</td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">联系地址</th>
                    <td>广州市天河区棠下街120号</td>
                    <th bgcolor="#F7F8FA" className="table-title">户籍地址</th>
                    <td>广州市天河区棠下街120号</td>
                    <th bgcolor="#F7F8FA" className="table-title" >是否有个人极端倾向</th>
                    <td>否</td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">工作单位</th>
                    <td>广东科贸服务有限公司</td>
                    <th bgcolor="#F7F8FA" className="table-title">委托关系</th>
                    <td>亲属</td>
                    <th bgcolor="#F7F8FA" className="table-title">委托类型</th>
                    <td>一般授权代理</td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">代理对象</th>
                    <td>李晓明</td>
                    <th bgcolor="#F7F8FA" className="table-title">身份证明材料</th>
                    <td>
                        <a href="your-link-here.html" target="_blank">
                            <img src={link} alt="" className="title-file" />李巧凤身份证明材料.pdf
                        </a>
                    </td>
                    <th bgcolor="#F7F8FA" className="table-title">代理人授权委托书</th>
                    <td>
                        <a href="your-link-here.html" target="_blank">
                            <img src={link} alt="" className="title-file" />李晓明身份证明材料.pdf
                        </a>
                    </td>
                </tr>

            </table>
            <div style={{ marginBottom: '8px' }}>被申请方</div>
            <div className="line-container" style={{ marginBottom: '20px' }}>
                <div className="line left-line"></div>
                <div className="line middle-line"></div>
                <div className="line right-line"></div>
            </div>
            <table border="1" align="center" cellpadding="6" className="table" style={{ marginTop: '20px', marginBottom: '20px' }}>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title" width="120">企业名称</th>
                    <td width='380'><div style={{ display: 'flex' }}><div>广东好又多贸易有限公司</div><div className="title-personRemark">法人</div></div></td>
                    <th bgcolor="#F7F8FA" className="table-title" width="120">联系方式</th>
                    <td width='380'>13091990202</td>
                    <th bgcolor="#F7F8FA" className="table-title" width="120">企业所在地</th>
                    <td>广州市天河区棠下街120号</td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">企业类型</th>
                    <td>餐饮服务</td>
                    <th bgcolor="#F7F8FA" className="table-title">法定代表人</th>
                    <td>江照月</td>
                    <th bgcolor="#F7F8FA" className="table-title">统一社会信用代码</th>
                    <td>914401015454Z</td>
                </tr>
                <tr>
                    <th bgcolor="#F7F8FA" className="table-title">住所</th>
                    <td>广州市天河区棠下街120号</td>
                    <th bgcolor="#F7F8FA" className="table-title">企业登记材料</th>
                    <td>
                        <a href="your-link-here.html" target="_blank">
                            <img src={link} alt="" className="title-file" />广东好又多贸易有限公司营业执照副本.pdf
                        </a>
                    </td>
                    <th bgcolor="#F7F8FA" className="table-title" >法定代表人身份证明材料</th>
                    <td>
                        <a href="your-link-here.html" target="_blank">
                            <img src={link} alt="" className="title-file" />江照月法人身份证明.pdf
                        </a>
                    </td>
                </tr>
            </table>
            <Col span={24} style={{ display: 'flex', alignItems: 'center', marginBottom: '4px' }}>
                <Space size='small'>
                    <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>纠纷基本情况</h5>
                </Space>
            </Col>
            <Row gutter={[16, 16]}>
                <Col span={8}>
                    <div className="title"><div className="title-text">事项等级</div><img src={question} alt="" style={{ width: '14px', height: '14px', marginTop: '4px', marginLeft: '4px' }} /></div>
                    <div style={{ display: 'flex' }}><div style={{ backgroundColor: '#1A6FB8', marginRight: '4px', borderRadius: '4px' }}><div style={{ color: '#FFFFFF', padding: '0px 6px' }}>3</div></div>级</div>
                </Col>
                <Col span={8}>
                    <div><div className="title-text">来访时间</div></div>
                    <div>2024-7-12 10:00</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">来访人数（人）</div></div>
                    <div>2</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">纠纷类型</div></div>
                    <div>市场监管/金融纠纷</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">纠纷发生时间</div></div>
                    <div>2024-7-11</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">纠纷发生地点</div></div>
                    <div>广州市天河区中山七路康王柏德来商业城</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">问题属地</div></div>
                    <div>广州市/天河区/棠下街道</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">涉及人数（人）</div></div>
                    <div>2</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">涉及金额（元）</div></div>
                    <div>{$$.thousands(20000)}</div>
                </Col>
                <Col span={8}>
                    <div ><div className="title-text">事项来源</div></div>
                    <div>大厅来访</div>
                </Col>
                <Col span={16}>
                    <div ><div className="title-text">来访形式</div></div>
                    <div>来访</div>
                </Col>
                <Col span={24}>
                    <div className="title"><div className="title-text">事项概况</div><img src={question} alt="" style={{ width: '14px', height: '14px', marginTop: '4px', marginLeft: '4px' }} /></div>
                    <div>张先生与李先生是多年的朋友关系。2023年4月，李先生因生意周转需要向张先生借款人民币20万元，并口头承诺于一年内还清。出于信任，张先生未要求签订书面借条或借款合同。然而，到了2024年4月，李先生并未如约归还借款。张先生多次通过电话、微信等方式催促还款，但李先生先是拖延，后干脆以各种理由拒绝偿还，甚至声称该笔款项属于赠予而非借款，这使得张先生感到十分无奈。 </div>
                </Col>
                <Col span={24}>
                    <div className="title"><div className="title-text">事项申请</div><img src={question} alt="" style={{ width: '14px', height: '14px', marginTop: '4px', marginLeft: '4px' }} /></div>
                    <div>张先生与李先生是多年的朋友关系。2023年4月，李先生因生意周转需要向张先生借款人民币20万元，并口头承诺于一年内还清。出于信任，张先生未要求签订书面借条或借款合同。然而，到了2024年4月，李先生并未如约归还借款。张先生多次通过电话、微信等方式催促还款，但李先生先是拖延，后干脆以各种理由拒绝偿还，甚至声称该笔款项属于赠予而非借款，这使得张先生感到十分无奈。 </div>
                </Col>
                <Col span={16}>
                    <div className="title"><div className="title-text">是否重大矛盾纠纷</div></div>
                    <div>否</div>
                </Col>
            </Row>
            <Col span={24} style={{ display: 'flex', alignItems: 'center', marginBottom: '8px', marginTop: '20px' }}>
                <Space size='small'>
                    <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>事件材料</h5>
                </Space>
            </Col>

            <TableView
                columns={fakeColumns}
                dataSource={fakeData1}
                size="small"
                rowKey="id"
                bordered={true}
                style={{ marginBottom: '65px' }}
            />

            <Modal style={{ width: '1200px' }} visible={filesCheck} onCancel={() => setFilesCheck(false)} footer={null} title='查看事件材料' centered>
                <div className="mediationWindow-modal-main" style={{ display: 'flex' }}>
                    <FilesCheck />
                </div>
            </Modal>


        </div>
    )
}

export default Preview